<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Barryvdh\DomPDF\Facade\Pdf;

class Pelicula extends Model
{
    use HasFactory;

    protected $fillable = ['titulo', 'duracion', 'formato', 'categoria_id', 'estado','imagen'];

    // Relación con la categoría
    public function categoria()
    {
        return $this->belongsTo(Categoria::class);
    }
    public function getDuracionFormatoAttribute()
{
    return floor($this->duracion / 60) . 'h ' . ($this->duracion % 60) . 'min';
}

   
}
